from PyQt5.QtCore import *
from PyQt5.QtWidgets import *
from PyQt5.QtGui import *
from PyQt5.QtWebEngineWidgets import *

import sys,os
import pathlib

class MainWindow(QMainWindow):

    def __init__(self, *args, **kwargs):
        super(MainWindow,self).__init__(*args, **kwargs)

        self.browser = QWebEngineView()
        current_dir = pathlib.Path().absolute()
        localUrl=os.path.normpath("file://" + current_dir.as_posix() + os.sep +"visualtk" + os.sep + "index.html")
        localUrl=pathlib.Path(localUrl).as_posix()
        self.browser.setUrl(QUrl(localUrl))
        self.browser.page().profile().downloadRequested.connect(self.on_downloadRequested)

        self.setCentralWidget(self.browser)
        self.setGeometry(100, 100, 1200, 700)
        self.show()
        
    def on_downloadRequested(self, download):
        dialog = QFileDialog()
        dialog.setDefaultSuffix(".py")
        path, _ = dialog.getSaveFileName(self, "Save File", os.path.join(os.getcwd(), "tkinter_ornek.py"), "*.py")
        if path:
            download.setPath(path)
            download.accept()

app = QApplication(sys.argv)
window = MainWindow()

app.exec_()
